textures/toxicitytwo/chem_fall_01
{
qer_editorimage textures/toxicitytwo/chem_fall_01.tga
surfaceparm nonsolid
surfaceparm trans
cull none
deformVertexes wave 30 sin 0 10 0 .2
nopicmip

{
map textures/toxicitytwo/chem_fall_01.tga
tcMod scale 2 2
blendFunc blend
alphaFunc GE128
depthWrite
rgbGen identity
tcmod scroll 0.0 -1.1
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


textures/toxicitytwo/chem_fall_still
{
qer_editorimage textures/toxicitytwo/chem_fall_02.tga
surfaceparm nonsolid
surfaceparm trans
cull none
nopicmip

{
map textures/toxicitytwo/chem_fall_02.tga
tcMod scale 2 2
blendFunc blend
alphaFunc GE128
depthWrite
rgbGen identity
tcmod scroll 0.0 -1.1
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}


textures/toxicitytwo/biohazard
{
	polygonOffset
	entityMergable
	{
		map textures/toxicitytwo/biohazard.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/toxicitytwo/biohazard2
{
	polygonOffset
	entityMergable
	{
		map textures/toxicitytwo/biohazard2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}



textures/toxicitytwo/chem_pool
{
	qer_editorimage textures/toxicitytwo/chem_pool.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	tesssize 512
	
	cull disable
	nofog
	deformVertexes wave 160 sin 0 10 0 .3	// the chop

	waterfogvars ( 0.1 0.1 0.1 ) 512
//	waterfogvars ( 0.1 0.1 0.1 ) .005
//	{
//		fog on
//		map $lightmap`
//		blendFunc GL_dst_color GL_zero
//		rgbgen identity		
//	}
	{ 
		fog on
		map textures/toxicitytwo/chem_pool.tga
		rgbgen wave sin .4 0 0 .5	
		tcmod scale .2 .1
		tcmod scroll .03 .02		
	}	
	{ 
		map textures/toxicitytwo/chem_fall_01.tga
		blendFunc GL_src_alpha GL_ONE // gl_zero_minus_src_alpha invalid
		alphagen const .5		
		tcmod scale .2 .2
		tcmod scroll -.03 -.02	
	}

// single-pass version, ONLY this pass
//	{ 
//		fog on
//		map textures/toxicitytwo/chem_pool.tga
//		tcmod scale .4 .2
//		tcmod scroll -.01 -.03
//	}	

	
//	{ 
//		map textures/toxicitytwo/chem_pool.tga
//		blendFunc GL_dst_color GL_one
//		rgbgen const ( 0.25 0.25 0.25 )
//		rgbgen identity		
//		tcmod scale -.6 .5
//		tcmod scroll -.01 -.01
//	}
}



textures/toxicitytwo/chemical_spill
{
	polygonOffset
	entityMergable
	{
		map textures/toxicitytwo/chemical_spill.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/toxicitytwo/chem_spill_02
{
	polygonOffset
	entityMergable
	{
		map textures/toxicitytwo/chem_spill_02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}



textures/toxicitytwo/sludge_drain
{
	polygonOffset
	entityMergable
	{
		map textures/toxicitytwo/sludge_drain.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


textures/toxicitytwo/chem_pool_calm

		
	{
		qer_editorimage textures/toxicitytwo/chem_pool.tga
		qer_trans 1
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		{ 
			map textures/toxicitytwo/chem_pool.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/toxicitytwo/chem_pool.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale -1 -1
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	
	}

textures/toxicitytwo/blue_capture
{
qer_editorimage textures/toxicitytwo/blue_capture.tga
surfaceparm nonsolid
surfaceparm trans
cull none
nopicmip

{
map textures/toxicitytwo/blue_capture.tga
tcMod scale 2 2
blendFunc blend
alphaFunc GE128
depthWrite
rgbGen identity
tcmod scroll 0.0 1.1
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}

textures/toxicitytwo/red_capture
{
qer_editorimage textures/toxicitytwo/red_capture.tga
surfaceparm nonsolid
surfaceparm trans
cull none
nopicmip

{
map textures/toxicitytwo/red_capture.tga
tcMod scale 2 2
blendFunc blend
alphaFunc GE128
depthWrite
rgbGen identity
tcmod scroll 0.0 1.1
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}
}